import { ComponentFixture, TestBed } from '@angular/core/testing';

import { AddCreditFormComponent } from './add-credit-form.component';
import { RouterTestingModule } from '@angular/router/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { HttpClientTestingModule } from '@angular/common/http/testing';

describe('AddCreditFormComponent', () => {
  let component: AddCreditFormComponent;
  let fixture: ComponentFixture<AddCreditFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [AddCreditFormComponent],
      imports: [RouterTestingModule, ReactiveFormsModule, HttpClientTestingModule]
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(AddCreditFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
